Page MenuHomePhabricator

Clarify instructions for category search (in English wikis)
Closed, ResolvedPublic1 Story Points

Description

Motivation
Currently, the explanation of the deepcategory keyword is misleading: It suggests that only 5 subcatagories will be searched through, whereas it actually searches through 5 subcategory levels. See the first bullet point below "Be aware of the following"

Acceptance Criteria

  • In the help pop up for "Pages in these categories", replace the sentence Only the first 5 subcategories will be considered in your search. with` Only the first 5 subcategory levels will be included in your search.`

Original ticket description

I was trying to figure out how the "Pages in these categories" search operates, so read the pop-up Help panel (see screenshot below). The instructions say "Only the first 5 subcategories will be considered in your search."

I debated the meaning of this with colleagues in the office; most thought it meant exactly what it says—that only 5 subcategories will be included in the search. However, a look at the Help doc for Searching Wikipedia makes clear that that is not the meaning. The doc says "The depth of the tree is currently limited to 5 levels" [emphasis added].

To make the help panel clearer for English speakers, I suggest you change the wording as follows: "Only the first 5 subcategory levels will be included in your search."

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptDec 18 2018, 5:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE triaged this task as Normal priority.Mar 1 2019, 8:44 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE moved this task from Backlog to Tickets ready for pickup on the Advanced-Search board.
Tobi_WMDE_SW set the point value for this task to 1.Mar 4 2019, 11:51 AM

Change 494503 had a related patch set uploaded (by Corinna Hillebrand; owner: Corinna Hillebrand):
[mediawiki/extensions/AdvancedSearch@master] Updated subcategory search explanation

https://gerrit.wikimedia.org/r/494503

Change 494503 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Updated subcategory search explanation

https://gerrit.wikimedia.org/r/494503

kai.nissen closed this task as Resolved.Apr 15 2019, 11:07 AM